<!DOCTYPE html>
<html lang="en">
<head>
<script src="https://ajax.googleapis.com/ajax/libs/jquery/3.1.1/jquery.min.js"></script>
<meta charset="UTF-8">
<title>Center align button</title>
<style>
.container{
text-align: center;
border: 7px solid red;
width: 300px;
height: 200px;
vertical-align:  middle;
padding-top: 100px;
}
#btn{
font-size: 25px;
}
</style>
{% if name %}
  <h1>Hello from {{ name }}!</h1>
{% else %}
  <h1>Hello, World!</h1>
{% endif %}

  {% if contents %}
  <textarea rows="10" cols="50">
    {{ contents }}
  </textarea>
  {% endif %}
</head>
<body style="background: {{ color }};">
<div class="container">
<form>
<button id ="btn"> Click to invoke Second svc </button>
</form>
</div>
</body>
<script>
$(document).ready(function() {
  $("#btn").click(function(e) {
  e.preventDefault();
  $.ajax({
            type        : 'GET', 
            url         : '/parse_data', 
success: function (result2) {
console.log(result2)
//var resp = jQuery.parseJSON(result2);
//resp = JSON.stringify(result2);
alert("Response from Second svc Button click Tracker "+ JSON.stringify(result2));
},
error: function(xhr,ajaxOptions, thrownError){$("#result").val("failure");alert("faliure");console.error(xhr)}
        })
		})
})
</script>
</html>

